| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Friends | List of all members
Digikam::DWItemDelegatePool Class Reference

## Public Types
enum | UpdateWidgetsEnum { UpdateWidgets = 0 , NotUpdateWidgets }

## Public Member Functions
| DWItemDelegatePool (DWItemDelegate *const delegate)
| Creates a new ItemDelegatePool.
QList< QWidget * > | findWidgets (const QPersistentModelIndex &index, const QStyleOptionViewItem &option, UpdateWidgetsEnum updateWidgets=UpdateWidgets) const
| Returns the widget associated to `index` and `widget`.
void | fullClear ()
QList< QWidget * > | invalidIndexesWidgets () const

## Friends
class | DWItemDelegate
class | DWItemDelegatePrivate

## Constructor & Destructor Documentation

## ◆ DWItemDelegatePool()

Digikam::DWItemDelegatePool::DWItemDelegatePool | ( | DWItemDelegate *const | delegate | ) |
| explicit

Parameters

  delegate | the ItemDelegate for this pool.

## Member Function Documentation

## ◆ findWidgets()

QList< QWidget * > Digikam::DWItemDelegatePool::findWidgets | ( | const QPersistentModelIndex & | index,
|  | const QStyleOptionViewItem & | option,
|  | UpdateWidgetsEnum | updateWidgets = `UpdateWidgets`
| ) |  | const

Parameters

  index | The index to search into.
  option | a QStyleOptionViewItem.
  updateWidgets | a flag to force to update widgets.

Returns
  A QList of the pointers to the widgets found.